PHPExcel_RichText

category | PHPExcel
package | PHPExcel_RichText
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_RichText instance

    __construct(\PHPExcel_Cell $pCell)

### Parameters

#### $pCell

`\PHPExcel_Cell`

### Exceptions

`\PHPExcel_Exception` |

## Convert to string

    __toString() : string

### Returns

`string`

## Add text

    addText(\PHPExcel_RichText_ITextElement $pText) : \PHPExcel_RichText

### Parameters

#### $pText

`\PHPExcel_RichText_ITextElement`

Rich text element

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_RichText`

## Create text

    createText(string $pText) : \PHPExcel_RichText_TextElement

### Parameters

#### $pText

`string`

Text

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_RichText_TextElement`

## Create text run

    createTextRun(string $pText) : \PHPExcel_RichText_Run

### Parameters

#### $pText

`string`

Text

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_RichText_Run`

## Get hash code

    getHashCode() : string

### Returns

`string`Hash code

## Get plain text

    getPlainText() : string

### Returns

`string`

## Get Rich Text elements

    getRichTextElements() : \PHPExcel_RichText_ITextElement[]

### Returns

`\PHPExcel_RichText_ITextElement[]`

## Set Rich Text elements

    setRichTextElements(\PHPExcel_RichText_ITextElement[] $pElements) : \PHPExcel_RichText

### Parameters

#### $pElements

`\PHPExcel_RichText_ITextElement[]`

Array of elements

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_RichText`

### Properties

##

    $_richTextElements : \PHPExcel_RichText_ITextElement[]